class Book:
    # Book(string, list-of-Authors)
    def __init__(self, title, authors):
        self.title = title
        self.authors = authors[:]

    # __str__: -> string
    def __str__(self):
        return self.title + " by " + ", ".join([author.getName() for author in self.authors])

    # getTitle: -> string
    def getTitle(self):
        return self.title

    # getAuthors: -> list-of-Authors
    def getAuthors(self):
        return self.authors

    # setTitle: string -> void
    def setTitle(self, newTitle):
        self.title = newTitle

    # setAuthors: -> list-of-Authors
    def setAuthors(self, newAuthors):
        self.authors = newAuthors[:]

    # addAuthor: Author -> void
    def addAuthor(self, newAuthor):
        self.authors.append(newAuthor)
